Subject: Re: [bug] git cannot find "git pull"?

From: Jeff Garzik <[email-masked]>
Date: Fri, 12 Jun 2009 07:30:30 -0400

Todd Zullinger wrote:
> Hi Jeff,
> 
> Jeff Garzik wrote:
>> I just upgraded to Fedora 11 (git-1.6.2.2-1.fc11.x86_64), and see
>> the following:
>>
>>> [jgarzik@viper linux-2.6]$ git pull
>>> git: 'pull' is not a git-command. See 'git --help'.
>>>
>>> Did you mean this?
>>> 	shell
>>
>> Bleh...  :)  "git --help" indicates that "git pull" still exists.
> 
> Yuck.  I can't reproduce this (and I would hope that if the Fedora
> packages have been broken for many weeks that someone would have
> noticed and complained loudly before the release...).  Of course, if
> there is something horribly wrong with the Fedora packages, I'll try
> to get it fixed as quickly as possible.
> 
> Do you happen to have any strange PATH set, other non-packaged git
> binaries installed, or funky aliases/settings in your git config?
> Does the problem occur after an upgrade or clean install?  For all
> users?

No strange PATH settings, and this was a completely fresh 
Fedora-11/x86-64 reformat and reinstall...

Adding "--exec-path=/usr/libexec/git-core" seems to work.

I wonder if it is looking for /usr/libexec64/git-core or something?

	Jeff